[Unit]
Description=Latency Logging and Graphing System
Documentation=man:smokeping(1) file:/usr/share/doc/smokeping/examples/systemd/slave_mode.conf
After=network.target

[Service]
# It would in theory be simpler to run smokeping with the --nodaemon option and
# Type=simple, but smokeping does not work properly when in "slave" mode with
# --nodaemon set.
Type=forking
RuntimeDirectory=smokeping
PIDFile=/run/smokeping/smokeping.pid
User=smokeping
Group=smokeping
StandardError=syslog

# If you need to run smokeping in slave/master mode, see the example unit
# override in /usr/share/doc/smokeping/examples/systemd/slave_mode.conf
ExecStart=/usr/sbin/smokeping --pid-dir=/run/smokeping

ExecReload=/bin/kill -HUP $MAINPID

[Install]
WantedBy=multi-user.target
